<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Scripts/4_world/dayzexpansion/entities/manbase/playerbase.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d76/a08634_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">playerbase.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d76/a08634.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionPlayerBase.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../db/d1a/a03849.html">PlayerBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#af4c5cd8fb95b26a1bbfde51659095235">   15</a></span>    Object <a class="code hl_variable" href="../../db/d1a/a03849.html#af4c5cd8fb95b26a1bbfde51659095235">m_PlayerHeadingDir</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#a78feb2922ce713dac52d1fb949577514">   17</a></span>    <span class="keyword">private</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../db/d1a/a03849.html#a78feb2922ce713dac52d1fb949577514">m_HasCalledKillFeed</a>;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#ad4f3b0aa664108c117313e4375413b19">   19</a></span>    <a class="code hl_class" href="../../dd/da8/a06677.html">ExpansionKillFeedModule</a> <a class="code hl_variable" href="../../db/d1a/a03849.html#ad4f3b0aa664108c117313e4375413b19">m_KillfeedModule</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#a6b92294ca3faf9eb5f6127fac551dfa3">   20</a></span>    <a class="code hl_class" href="../../d1/df9/a03665.html">ItemBase</a> <a class="code hl_variable" href="../../db/d1a/a03849.html#a6b92294ca3faf9eb5f6127fac551dfa3">m_Expansion_SuicideItem</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span> </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="comment">// PlayerBase Constructor</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#a4c273da961f398a1189c1f219bc31717">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1a/a03849.html#a4c273da961f398a1189c1f219bc31717">PlayerBase</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../db/d1a/a03849.html#a78feb2922ce713dac52d1fb949577514">m_HasCalledKillFeed</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    <span class="comment">// PlayerBase Destructor</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#a198671b980f1fff72751aa070cd33157">   33</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1a/a03849.html#a198671b980f1fff72751aa070cd33157">~PlayerBase</a>()</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    {<span class="comment"></span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment">        //! Making sure we remove tha call for CreateGraveCross when ever the player base entity gets destroyed</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment"></span>        <span class="keywordflow">if</span> ( GetGame() &amp;&amp; <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().EnableGravecross )</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span><span class="preprocessor">        #ifdef ENFUSION_AI_PROJECT</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d4/d9b/a02159.html#ac9bdf4e9a89b6b162685b2d8e5b4621e">IsAI</a>())</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>            GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).Remove(<a class="code hl_function" href="../../db/d1a/a03849.html#aea36aac775809e8286ce7086a071d02b">CreateGraveCross</a>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <span class="comment">// Override Init</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#a3365d409183d7415215c12a28b33a26a">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1a/a03849.html#a3365d409183d7415215c12a28b33a26a">Init</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        super.Init();</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span> </div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        CF_Modules&lt;ExpansionKillFeedModule&gt;.Get(<a class="code hl_variable" href="../../db/d1a/a03849.html#ad4f3b0aa664108c117313e4375413b19">m_KillfeedModule</a>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span> </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <span class="comment">// Override SetSuicide</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#abe7a9858254bb3ac01d8c16a9818bbd5">   58</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1a/a03849.html#abe7a9858254bb3ac01d8c16a9818bbd5">SetSuicide</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        super.SetSuicide(state);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span> </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> (state)</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>            <a class="code hl_variable" href="../../db/d1a/a03849.html#a6b92294ca3faf9eb5f6127fac551dfa3">m_Expansion_SuicideItem</a> = GetItemInHands();</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">// Override EEKilled</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#ac4447b5d5e366e1f03bbf2ed14336ba0">   69</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1a/a03849.html#ac4447b5d5e366e1f03bbf2ed14336ba0">EEKilled</a>( Object killer )</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetGeneral().EnableGravecross )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="preprocessor">        #ifdef ENFUSION_AI_PROJECT</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keywordflow">if</span> (!<a class="code hl_function" href="../../d4/d9b/a02159.html#ac9bdf4e9a89b6b162685b2d8e5b4621e">IsAI</a>())</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            GetGame().GetCallQueue(CALL_CATEGORY_SYSTEM).CallLater(<a class="code hl_function" href="../../db/d1a/a03849.html#aea36aac775809e8286ce7086a071d02b">CreateGraveCross</a>, 5000, <span class="keyword">false</span>);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        super.EEKilled(killer);</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetNotification().EnableKillFeed &amp;&amp; GetIdentity())</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../db/d1a/a03849.html#ad4f3b0aa664108c117313e4375413b19">m_KillfeedModule</a> )</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                <a class="code hl_variable" href="../../db/d1a/a03849.html#ad4f3b0aa664108c117313e4375413b19">m_KillfeedModule</a>.<a class="code hl_function" href="../../dd/da8/a06677.html#a2498795eeba2df1599d78bd4843ff77d">OnPlayerKilled</a>( <span class="keyword">this</span>, killer );</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            }</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        }</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span> </div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    <span class="comment">// Override EEHitBy</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#af530d912f205eacf203b94ea196616fb">   93</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1a/a03849.html#af530d912f205eacf203b94ea196616fb">EEHitBy</a>(TotalDamageResult damageResult, <span class="keywordtype">int</span> damageType, EntityAI source, <span class="keywordtype">int</span> component, <span class="keywordtype">string</span> dmgZone, <span class="keywordtype">string</span> ammo, vector modelPos, <span class="keywordtype">float</span> speedCoef)</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    {</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetNotification().EnableKillFeed &amp;&amp; GetIdentity() )</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        {</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../db/d1a/a03849.html#ad4f3b0aa664108c117313e4375413b19">m_KillfeedModule</a> &amp;&amp; !<a class="code hl_function" href="../../db/d1a/a03849.html#a495eb2062c20088506c9a093e19b049f">IPADACK</a>() )</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>                <a class="code hl_function" href="../../db/d1a/a03849.html#aebb17be0ebbbe182e40c6f48745a9f28">UpdateIPADACK</a>( !IsAlive() );</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                <a class="code hl_variable" href="../../db/d1a/a03849.html#ad4f3b0aa664108c117313e4375413b19">m_KillfeedModule</a>.<a class="code hl_function" href="../../dd/da8/a06677.html#ad63ee31d7095fa1cac73ab4836b76b5a">OnPlayerHitBy</a>( damageType, <span class="keyword">this</span>, source, ammo );</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>        }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span> </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        super.EEHitBy(damageResult, damageType, source, component, dmgZone, ammo, modelPos, speedCoef);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    <span class="comment">// PlayerBase IsPlayerAlreadyDeadAndCalledKillFeed IPADACK</span></div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#a495eb2062c20088506c9a093e19b049f">  110</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d1a/a03849.html#a495eb2062c20088506c9a093e19b049f">IPADACK</a>()</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    {</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../db/d1a/a03849.html#a78feb2922ce713dac52d1fb949577514">m_HasCalledKillFeed</a>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    <span class="comment">// PlayerBase UpdateIsPlayerAlreadyDeadAndCalledKillFeed UpdateIPADACK</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#aebb17be0ebbbe182e40c6f48745a9f28">  118</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1a/a03849.html#aebb17be0ebbbe182e40c6f48745a9f28">UpdateIPADACK</a>(<span class="keywordtype">bool</span> state = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <a class="code hl_variable" href="../../db/d1a/a03849.html#a78feb2922ce713dac52d1fb949577514">m_HasCalledKillFeed</a> = state;</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span> </div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>    <span class="comment">// Expansion SpawnGraveCross</span></div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#aea36aac775809e8286ce7086a071d02b">  126</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1a/a03849.html#aea36aac775809e8286ce7086a071d02b">CreateGraveCross</a>()</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>    {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        <span class="keywordtype">int</span> lifetimeThreshhold = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#a2c2b46865ec8ef90a1f3715b34f08fa3">GetGeneral</a>().<a class="code hl_variable" href="../../df/d4d/a06649.html#abdfb8f8e27188886adadb49fb893f282">GravecrossTimeThreshold</a>;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        <span class="keywordtype">bool</span> deleteBody = <a class="code hl_function" href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../dd/d8e/a03377.html#a2c2b46865ec8ef90a1f3715b34f08fa3">GetGeneral</a>().<a class="code hl_variable" href="../../df/d4d/a06649.html#afef6d961fd2eea7517c6ba539bc17e80">GravecrossDeleteBody</a>;</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span> </div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        <span class="keywordtype">string</span> graveobject = <span class="stringliteral">&quot;Expansion_Gravecross&quot;</span>;</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span><span class="comment"></span> </div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span><span class="comment">        //! Offset of 0.6 is to account for cross anchor point not being at the bottom of the cross,</span></div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span><span class="comment">        //! if we change cross object and not using ECE_TRACE this needs to be adjusted!</span></div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span><span class="comment"></span>        <span class="keywordtype">float</span> offsetY = 0.6;</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>        <span class="keywordtype">float</span> playtime = StatGet(<a class="code hl_class" href="../../d7/def/a04165.html">AnalyticsManagerServer</a>.STAT_PLAYTIME);</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span> </div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <span class="keywordflow">if</span> (playtime &lt;= lifetimeThreshhold)</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        {</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            graveobject = <span class="stringliteral">&quot;Expansion_Gravecross_LowLifetime&quot;</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span><span class="comment"></span> </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span><span class="comment">            //! Offset of 1.035 is to account for cross anchor point not being at the bottom of the cross,</span></div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span><span class="comment">            //! if we change cross object and not using ECE_TRACE this needs to be adjusted!</span></div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span><span class="comment"></span>            offsetY = 1.035;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        Expansion_GraveBase grave;</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span> </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        vector pos = <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>();</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        vector ground = Vector(pos[0], GetGame().SurfaceY(pos[0], pos[2]), pos[2]);</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span><span class="comment"></span> </div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span><span class="comment">        //! The idea here is that the gravecross should spawn on top of the thing the player died on if it&#39;s a building or large item,</span></div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span><span class="comment">        //! and not below sea level if over water</span></div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span><span class="comment"></span> </div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        PhxInteractionLayers layerMask;</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span> </div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        layerMask |= PhxInteractionLayers.BUILDING;</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        layerMask |= PhxInteractionLayers.ROADWAY;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        layerMask |= PhxInteractionLayers.TERRAIN;</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        layerMask |= PhxInteractionLayers.WATERLAYER;  <span class="comment">//! Doesn&#39;t seem to work?</span></div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        layerMask |= PhxInteractionLayers.ITEM_LARGE;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span> </div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        Object hitObject;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        vector hitPosition;</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        vector hitNormal;</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        <span class="keywordtype">float</span> hitFraction;</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span> </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <span class="keywordflow">if</span> ( DayZPhysics.RayCastBullet( pos, ground, layerMask, <span class="keyword">this</span>, hitObject, hitPosition, hitNormal, hitFraction ) )</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            ground[1] = hitPosition[1];</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span> </div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordtype">float</span> water_depth = GetGame().GetWaterDepth(ground);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span> </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>        <span class="keywordflow">if</span> ( water_depth &gt; 0 )</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span><span class="comment">            //! Add water depth so cross sits above water level (with bottom bit submerged slightly)</span></div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span><span class="comment"></span>            ground[1] = ground[1] + water_depth - 0.5;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        }</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        ground[1] = ground[1] + offsetY;</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span> </div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>        grave = Expansion_GraveBase.Cast(GetGame().CreateObjectEx(graveobject, ground, ECE_CREATEPHYSICS|ECE_UPDATEPATHGRAPH));</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        grave.SetPosition(ground);</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span> </div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        grave.MoveAttachmentsFromEntity(<span class="keyword">this</span>, ground, <a class="code hl_function" href="../../d4/d9b/a02159.html#a3bae34135b918bcd04b5f8a3d136e313">GetOrientation</a>());</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        grave.SetOrientation(<a class="code hl_function" href="../../d4/d9b/a02159.html#a3bae34135b918bcd04b5f8a3d136e313">GetOrientation</a>());</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span> </div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">if</span> (deleteBody)</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>            Delete();</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>    }</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span> </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>    <span class="comment">// PlayerBase Debug_PlayerForward</span></div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno"><a class="line" href="../../db/d1a/a03849.html#ae320031b50478ab763a904954b62cc24">  195</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d1a/a03849.html#ae320031b50478ab763a904954b62cc24">Debug_PlayerForward</a>()</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>    {</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.PLAYER, <span class="keyword">this</span>, <span class="stringliteral">&quot;Debug_PlayerForward&quot;</span>);</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span> </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        <span class="keywordtype">float</span> speed;</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>        vector direction;</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        GetInputController().GetMovement( speed, direction );</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span> </div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <a class="code hl_class" href="../../da/d67/a04281.html">Transform</a> trans = <a class="code hl_class" href="../../da/d67/a04281.html">Transform</a>.<a class="code hl_function" href="../../da/d67/a04281.html#a32152c5716454858545c5161dffd5558">GetObject</a>( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>        direction = direction.Multiply3( trans.<a class="code hl_function" href="../../da/d67/a04281.html#a9a939488083d62cd09a23880ed43e469">GetBasis</a>().<a class="code hl_variable" href="../../d1/d66/a04273.html#a91e02ed005a7e173a36504fc5e5f4fa9">data</a> );</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span> </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        vector pos = <a class="code hl_function" href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a>() + direction;</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span> </div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        <a class="code hl_variable" href="../../db/d1a/a03849.html#af4c5cd8fb95b26a1bbfde51659095235">m_PlayerHeadingDir</a>.SetPosition( pos );</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <a class="code hl_variable" href="../../db/d1a/a03849.html#af4c5cd8fb95b26a1bbfde51659095235">m_PlayerHeadingDir</a>.SetDirection( direction );</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    }</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>};</div>
<div class="ttc" id="aa00134_html_a68c83d319275347dcd1c0c4da8734703"><div class="ttname"><a href="../../de/d76/a00134.html#a68c83d319275347dcd1c0c4da8734703">GetPosition</a></div><div class="ttdeci">vector GetPosition()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d76/a00134_source.html#l00293">expansionterritory.c:293</a></div></div>
<div class="ttc" id="aa00710_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../d4/deb/a00710.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/deb/a00710_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa02159_html_a3bae34135b918bcd04b5f8a3d136e313"><div class="ttname"><a href="../../d4/d9b/a02159.html#a3bae34135b918bcd04b5f8a3d136e313">GetOrientation</a></div><div class="ttdeci">vector GetOrientation()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9b/a02159_source.html#l00096">expansionquestnpcdata.c:96</a></div></div>
<div class="ttc" id="aa02159_html_ac9bdf4e9a89b6b162685b2d8e5b4621e"><div class="ttname"><a href="../../d4/d9b/a02159.html#ac9bdf4e9a89b6b162685b2d8e5b4621e">IsAI</a></div><div class="ttdeci">bool IsAI()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9b/a02159_source.html#l00066">expansionquestnpcdata.c:66</a></div></div>
<div class="ttc" id="aa03377_html_a2c2b46865ec8ef90a1f3715b34f08fa3"><div class="ttname"><a href="../../dd/d8e/a03377.html#a2c2b46865ec8ef90a1f3715b34f08fa3">ExpansionSettings::GetGeneral</a></div><div class="ttdeci">ExpansionGeneralSettings GetGeneral(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d34/a08451_source.html#l00064">expansionsettings.c:64</a></div></div>
<div class="ttc" id="aa03665_html"><div class="ttname"><a href="../../d1/df9/a03665.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/dc3/a00284_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03849_html"><div class="ttname"><a href="../../db/d1a/a03849.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d25/a08607_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa03849_html_a198671b980f1fff72751aa070cd33157"><div class="ttname"><a href="../../db/d1a/a03849.html#a198671b980f1fff72751aa070cd33157">PlayerBase::~PlayerBase</a></div><div class="ttdeci">void ~PlayerBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00033">playerbase.c:33</a></div></div>
<div class="ttc" id="aa03849_html_a3365d409183d7415215c12a28b33a26a"><div class="ttname"><a href="../../db/d1a/a03849.html#a3365d409183d7415215c12a28b33a26a">PlayerBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00048">playerbase.c:48</a></div></div>
<div class="ttc" id="aa03849_html_a495eb2062c20088506c9a093e19b049f"><div class="ttname"><a href="../../db/d1a/a03849.html#a495eb2062c20088506c9a093e19b049f">PlayerBase::IPADACK</a></div><div class="ttdeci">bool IPADACK()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00110">playerbase.c:110</a></div></div>
<div class="ttc" id="aa03849_html_a4c273da961f398a1189c1f219bc31717"><div class="ttname"><a href="../../db/d1a/a03849.html#a4c273da961f398a1189c1f219bc31717">PlayerBase::PlayerBase</a></div><div class="ttdeci">void PlayerBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00025">playerbase.c:25</a></div></div>
<div class="ttc" id="aa03849_html_a6b92294ca3faf9eb5f6127fac551dfa3"><div class="ttname"><a href="../../db/d1a/a03849.html#a6b92294ca3faf9eb5f6127fac551dfa3">PlayerBase::m_Expansion_SuicideItem</a></div><div class="ttdeci">ItemBase m_Expansion_SuicideItem</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00020">playerbase.c:20</a></div></div>
<div class="ttc" id="aa03849_html_a78feb2922ce713dac52d1fb949577514"><div class="ttname"><a href="../../db/d1a/a03849.html#a78feb2922ce713dac52d1fb949577514">PlayerBase::m_HasCalledKillFeed</a></div><div class="ttdeci">private bool m_HasCalledKillFeed</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00017">playerbase.c:17</a></div></div>
<div class="ttc" id="aa03849_html_abe7a9858254bb3ac01d8c16a9818bbd5"><div class="ttname"><a href="../../db/d1a/a03849.html#abe7a9858254bb3ac01d8c16a9818bbd5">PlayerBase::SetSuicide</a></div><div class="ttdeci">override void SetSuicide(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00058">playerbase.c:58</a></div></div>
<div class="ttc" id="aa03849_html_ac4447b5d5e366e1f03bbf2ed14336ba0"><div class="ttname"><a href="../../db/d1a/a03849.html#ac4447b5d5e366e1f03bbf2ed14336ba0">PlayerBase::EEKilled</a></div><div class="ttdeci">override void EEKilled(Object killer)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00069">playerbase.c:69</a></div></div>
<div class="ttc" id="aa03849_html_ad4f3b0aa664108c117313e4375413b19"><div class="ttname"><a href="../../db/d1a/a03849.html#ad4f3b0aa664108c117313e4375413b19">PlayerBase::m_KillfeedModule</a></div><div class="ttdeci">ExpansionKillFeedModule m_KillfeedModule</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00019">playerbase.c:19</a></div></div>
<div class="ttc" id="aa03849_html_ae320031b50478ab763a904954b62cc24"><div class="ttname"><a href="../../db/d1a/a03849.html#ae320031b50478ab763a904954b62cc24">PlayerBase::Debug_PlayerForward</a></div><div class="ttdeci">void Debug_PlayerForward()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00195">playerbase.c:195</a></div></div>
<div class="ttc" id="aa03849_html_aea36aac775809e8286ce7086a071d02b"><div class="ttname"><a href="../../db/d1a/a03849.html#aea36aac775809e8286ce7086a071d02b">PlayerBase::CreateGraveCross</a></div><div class="ttdeci">void CreateGraveCross()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00126">playerbase.c:126</a></div></div>
<div class="ttc" id="aa03849_html_aebb17be0ebbbe182e40c6f48745a9f28"><div class="ttname"><a href="../../db/d1a/a03849.html#aebb17be0ebbbe182e40c6f48745a9f28">PlayerBase::UpdateIPADACK</a></div><div class="ttdeci">void UpdateIPADACK(bool state=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00118">playerbase.c:118</a></div></div>
<div class="ttc" id="aa03849_html_af4c5cd8fb95b26a1bbfde51659095235"><div class="ttname"><a href="../../db/d1a/a03849.html#af4c5cd8fb95b26a1bbfde51659095235">PlayerBase::m_PlayerHeadingDir</a></div><div class="ttdeci">Object m_PlayerHeadingDir</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00015">playerbase.c:15</a></div></div>
<div class="ttc" id="aa03849_html_af530d912f205eacf203b94ea196616fb"><div class="ttname"><a href="../../db/d1a/a03849.html#af530d912f205eacf203b94ea196616fb">PlayerBase::EEHitBy</a></div><div class="ttdeci">override void EEHitBy(TotalDamageResult damageResult, int damageType, EntityAI source, int component, string dmgZone, string ammo, vector modelPos, float speedCoef)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d76/a08634_source.html#l00093">playerbase.c:93</a></div></div>
<div class="ttc" id="aa04165_html"><div class="ttname"><a href="../../d7/def/a04165.html">AnalyticsManagerServer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d04/a00713_source.html#l00013">expansionanalyticsmanagerserver.c:14</a></div></div>
<div class="ttc" id="aa04273_html_a91e02ed005a7e173a36504fc5e5f4fa9"><div class="ttname"><a href="../../d1/d66/a04273.html#a91e02ed005a7e173a36504fc5e5f4fa9">Matrix3::data</a></div><div class="ttdeci">vector data[3]</div><div class="ttdef"><b>Definition:</b> <a href="../../df/de8/a00839_source.html#l00015">matrix3.c:15</a></div></div>
<div class="ttc" id="aa04281_html"><div class="ttname"><a href="../../da/d67/a04281.html">Transform</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcf/a00845_source.html#l00013">transform.c:14</a></div></div>
<div class="ttc" id="aa04281_html_a32152c5716454858545c5161dffd5558"><div class="ttname"><a href="../../da/d67/a04281.html#a32152c5716454858545c5161dffd5558">Transform::GetObject</a></div><div class="ttdeci">static Transform GetObject(notnull Object obj)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcf/a00845_source.html#l00106">transform.c:106</a></div></div>
<div class="ttc" id="aa04281_html_a9a939488083d62cd09a23880ed43e469"><div class="ttname"><a href="../../da/d67/a04281.html#a9a939488083d62cd09a23880ed43e469">Transform::GetBasis</a></div><div class="ttdeci">Matrix3 GetBasis()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dcf/a00845_source.html#l00168">transform.c:168</a></div></div>
<div class="ttc" id="aa06649_html_abdfb8f8e27188886adadb49fb893f282"><div class="ttname"><a href="../../df/d4d/a06649.html#abdfb8f8e27188886adadb49fb893f282">ExpansionGeneralSettings::GravecrossTimeThreshold</a></div><div class="ttdeci">int GravecrossTimeThreshold</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d12/a02354_source.html#l00023">expansiongeneralsettings.c:23</a></div></div>
<div class="ttc" id="aa06649_html_afef6d961fd2eea7517c6ba539bc17e80"><div class="ttname"><a href="../../df/d4d/a06649.html#afef6d961fd2eea7517c6ba539bc17e80">ExpansionGeneralSettings::GravecrossDeleteBody</a></div><div class="ttdeci">bool GravecrossDeleteBody</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d12/a02354_source.html#l00022">expansiongeneralsettings.c:22</a></div></div>
<div class="ttc" id="aa06677_html"><div class="ttname"><a href="../../dd/da8/a06677.html">ExpansionKillFeedModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/a02381_source.html#l00014">expansionkillfeedmodule.c:15</a></div></div>
<div class="ttc" id="aa06677_html_a2498795eeba2df1599d78bd4843ff77d"><div class="ttname"><a href="../../dd/da8/a06677.html#a2498795eeba2df1599d78bd4843ff77d">ExpansionKillFeedModule::OnPlayerKilled</a></div><div class="ttdeci">void OnPlayerKilled(PlayerBase player, Object source)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/a02381_source.html#l00200">expansionkillfeedmodule.c:200</a></div></div>
<div class="ttc" id="aa06677_html_ad63ee31d7095fa1cac73ab4836b76b5a"><div class="ttname"><a href="../../dd/da8/a06677.html#ad63ee31d7095fa1cac73ab4836b76b5a">ExpansionKillFeedModule::OnPlayerHitBy</a></div><div class="ttdeci">void OnPlayerHitBy(int damageType, PlayerBase player, EntityAI source, string ammo)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1a/a02381_source.html#l00152">expansionkillfeedmodule.c:152</a></div></div>
<div class="ttc" id="aa08424_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../dd/d94/a08424.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d94/a08424_source.html#l00254">expansionsettings.c:254</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_5b6a53149ee7579c80529fd9998a2b4c.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_864c6f328578ae932bfe3d376685b434.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_be440f22580ce99ff5165b31aacfa13d.html">dayzexpansion</a></li><li class="navelem"><a class="el" href="../../dir_0d13345ef38b852a3bc96310936aad4f.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_0673e8e929ec8ff916c8e5be4245047c.html">manbase</a></li><li class="navelem"><a class="el" href="../../df/d76/a08634.html">playerbase.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
